--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/product/inventory/inventory.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/product/inventory/inventory.php	2025-06-27 11:43:59.768611000 +0000
@@ -1149,7 +1149,7 @@
 				}
 				$pmp_valuation = $pmp_expected * $valuetoshow;
 				print '<td class="right">';
-				print is_null($pmp_expected) ? '' : price($pmp_expected);
+				print price($pmp_expected);
 				print '<input type="hidden" name="expectedpmp_'.$obj->rowid.'" value="'.$pmp_expected.'"/>';
 				print '</td>';
 				print '<td class="right">';
@@ -1171,7 +1171,7 @@
 					$pmp_real = $product_static->pmp;
 				}
 				$pmp_valuation_real = $pmp_real * $qty_view;
-				print '<input type="text" class="maxwidth75 right realpmp'.$obj->fk_product.'" name="realpmp_'.$obj->rowid.'" id="id_'.$obj->rowid.'_input_pmp" value="'.(is_null($pmp_real) ? '' : price2num($pmp_real)).'">';
+				print '<input type="text" class="maxwidth75 right realpmp'.$obj->fk_product.'" name="realpmp_'.$obj->rowid.'" id="id_'.$obj->rowid.'_input_pmp" value="'.price2num($pmp_real).'">';
 				print '</td>';
 				print '<td class="right">';
 				print '<input type="text" class="maxwidth75 right realvaluation'.$obj->fk_product.'" name="realvaluation_'.$obj->rowid.'" id="id_'.$obj->rowid.'_input_real_valuation" value="'.$pmp_valuation_real.'">';
@@ -1198,7 +1198,7 @@
 			print '</td>';
 		} else {
 			if (getDolGlobalString('INVENTORY_MANAGE_REAL_PMP')) {
-				// PMP Expected
+				//PMP Expected
 				if (!empty($obj->pmp_expected)) {
 					$pmp_expected = $obj->pmp_expected;
 				} else {
@@ -1206,7 +1206,7 @@
 				}
 				$pmp_valuation = $pmp_expected * $valuetoshow;
 				print '<td class="right">';
-				print is_null($pmp_expected) ? '' : price($pmp_expected);
+				print price($pmp_expected);
 				print '</td>';
 				print '<td class="right">';
 				print price($pmp_valuation);
@@ -1216,7 +1216,7 @@
 				print $obj->qty_view;	// qty found
 				print '</td>';
 
-				// PMP Real
+				//PMP Real
 				print '<td class="right">';
 				if (!empty($obj->pmp_real)) {
 					$pmp_real = $obj->pmp_real;
@@ -1224,7 +1224,7 @@
 					$pmp_real = $product_static->pmp;
 				}
 				$pmp_valuation_real = $pmp_real * $obj->qty_view;
-				print is_null($pmp_real) ? '' : price($pmp_real);
+				print price($pmp_real);
 				print '</td>';
 				print '<td class="right">';
 				print price($pmp_valuation_real);

########## product/stats/commande_fournisseur.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/product/stock/class/api_stockmovements.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/product/stock/class/api_stockmovements.class.php	2025-06-27 11:43:59.701992000 +0000
@@ -48,7 +48,7 @@
 	 */
 	public function __construct()
 	{
-		global $db;
+		global $db, $conf;
 		$this->db = $db;
 		$this->stockmovement = new MouvementStock($this->db);
 	}
@@ -89,7 +89,7 @@
 	 * @param string	$sortorder	Sort order
 	 * @param int		$limit		Limit for list
 	 * @param int		$page		Page number
-	 * @param string    $sqlfilters Other criteria to filter answers separated by a comma. Syntax example "(t.fk_product:=:1) and (t.date_creation:<:'20160101')"
+	 * @param string    $sqlfilters Other criteria to filter answers separated by a comma. Syntax example "(t.product_id:=:1) and (t.date_creation:<:'20160101')"
 	 * @param string    $properties	Restrict the data returned to these properties. Ignored if empty. Comma separated list of properties names
 	 * @return array                Array of warehouse objects
 	 * @phan-return MouvementStock[]
@@ -99,6 +99,8 @@
 	 */
 	public function index($sortfield = "t.rowid", $sortorder = 'ASC', $limit = 100, $page = 0, $sqlfilters = '', $properties = '')
 	{
+		global $conf;
+
 		$obj_ret = array();
 
 		if (!DolibarrApiAccess::$user->hasRight('stock', 'lire')) {
@@ -170,8 +172,8 @@
 	 * @param string $dluo Sell-by date. {@from body} {@type date}
 	 * @param string $origin_type   Origin type (Element of source object, like 'project', 'inventory', ...)
 	 * @param int $origin_id     Origin id (Id of source object)
-	 * @return  int                         ID of stock movement
 	 *
+	 * @return  int                         ID of stock movement
 	 * @throws RestException
 	 */
 	public function post($product_id, $warehouse_id, $qty, $type = 2, $lot = '', $movementcode = '', $movementlabel = '', $price = '', $datem = '', $dlc = '', $dluo = '', $origin_type = '', $origin_id = 0)

########## product/stock/class/api_warehouses.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/product/stock/class/api_warehouses.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/product/stock/class/api_warehouses.class.php	2025-06-27 11:43:59.700767000 +0000
@@ -46,7 +46,7 @@
 	 */
 	public function __construct()
 	{
-		global $db;
+		global $db, $conf;
 		$this->db = $db;
 		$this->warehouse = new Entrepot($this->db);
 	}
@@ -99,6 +99,8 @@
 	 */
 	public function index($sortfield = "t.rowid", $sortorder = 'ASC', $limit = 100, $page = 0, $category = 0, $sqlfilters = '', $properties = '')
 	{
+		global $db, $conf;
+
 		$obj_ret = array();
 
 		if (!DolibarrApiAccess::$user->hasRight('stock', 'lire')) {
@@ -286,6 +288,9 @@
 		// phpcs:enable
 		$object = parent::_cleanObjectDatas($object);
 
+		// Remove the subscriptions because they are handled as a subresource.
+		//unset($object->subscriptions);
+
 		return $object;
 	}
 

########## product/stock/class/mouvementstock.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/product/stock/class/mouvementstock.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/product/stock/class/mouvementstock.class.php	2025-06-27 11:43:59.698264000 +0000
@@ -205,7 +205,7 @@
 	 *													0=input (stock increase by a stock transfer), 1=output (stock decrease by a stock transfer),
 	 *													2=output (stock decrease), 3=input (stock increase)
 	 *                          		            	Note that qty should be > 0 with 0 or 3, < 0 with 1 or 2.
-	 *	@param		int|float		$price				Unit price HT of product, used to calculate average weighted price (AWP or PMP in french). If 0, average weighted price is not changed.
+	 *	@param		float			$price				Unit price HT of product, used to calculate average weighted price (AWP or PMP in french). If 0, average weighted price is not changed.
 	 *	@param		string			$label				Label of stock movement
 	 *	@param		string			$inventorycode		Inventory code
 	 *	@param		int|string		$datem				Force date of movement

########## product/stock/massstockmove.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/product/stock/massstockmove.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/product/stock/massstockmove.php	2025-06-27 11:43:59.684499000 +0000
@@ -216,7 +216,7 @@
 				// Define value of products moved
 				$pricesrc = 0;
 				if (!empty($product->pmp)) {
-					$pricesrc = (float) $product->pmp;
+					$pricesrc = $product->pmp;
 				}
 				$pricedest = $pricesrc;
 

########## product/stock/movement_list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/product/stock/movement_list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/product/stock/movement_list.php	2025-06-27 11:43:59.646684000 +0000
@@ -400,6 +400,8 @@
 		if ($product->hasbatch()) {
 			$batch = GETPOST('batch_number', 'alphanohtml');
 
+			//$eatby=GETPOST('eatby');
+			//$sellby=GETPOST('sellby');
 			$eatby = dol_mktime(0, 0, 0, GETPOSTINT('eatbymonth'), GETPOSTINT('eatbyday'), GETPOSTINT('eatbyyear'));
 			$sellby = dol_mktime(0, 0, 0, GETPOSTINT('sellbymonth'), GETPOSTINT('sellbyday'), GETPOSTINT('sellbyyear'));
 
@@ -508,16 +510,17 @@
 
 			if ($product->hasbatch()) {
 				$pdluo = new Productbatch($db);
-				$srcwarehouseid = 0;
-
-				$eatby = dol_mktime(0, 0, 0, GETPOSTINT('eatbymonth'), GETPOSTINT('eatbyday'), GETPOSTINT('eatbyyear'));
-				$sellby = dol_mktime(0, 0, 0, GETPOSTINT('sellbymonth'), GETPOSTINT('sellbyday'), GETPOSTINT('sellbyyear'));
 
+				$srcwarehouseid = 0;
+				$eatby = -1;
+				$sellby = -1;
 				if ($pdluoid > 0) {
 					$result = $pdluo->fetch($pdluoid);
 					if ($result) {
 						$srcwarehouseid = $pdluo->warehouseid;
 						$batch = $pdluo->batch;
+						$eatby = $pdluo->eatby;
+						$sellby = $pdluo->sellby;
 					} else {
 						setEventMessages($pdluo->error, $pdluo->errors, 'errors');
 						$error++;
@@ -525,6 +528,8 @@
 				} else {
 					$srcwarehouseid = $id;
 					$batch = GETPOST('batch_number', 'alphanohtml');
+					$eatby = $d_eatby;
+					$sellby = $d_sellby;
 				}
 
 				$result1 = -1;
@@ -537,7 +542,7 @@
 						GETPOSTFLOAT("nbpiece"),
 						1,
 						GETPOST("label", 'san_alpha'),
-						(float) $pricesrc,
+						$pricesrc,
 						$eatby,
 						$sellby,
 						$batch,
@@ -554,7 +559,7 @@
 						GETPOSTFLOAT("nbpiece"),
 						0,
 						GETPOST("label", 'san_alpha'),
-						(float) $pricedest,
+						$pricedest,
 						$eatby,
 						$sellby,
 						$batch,
@@ -573,7 +578,7 @@
 					GETPOSTFLOAT("nbpiece"),
 					1,
 					GETPOST("label", 'san_alpha'),
-					(float) $pricesrc,
+					$pricesrc,
 					GETPOST('inventorycode', 'alphanohtml'),
 					'',
 					null,
@@ -588,7 +593,7 @@
 					GETPOSTFLOAT("nbpiece"),
 					0,
 					GETPOST("label", 'san_alpha'),
-					(float) $pricedest,
+					$pricedest,
 					GETPOST('inventorycode', 'alphanohtml'),
 					'',
 					null,
@@ -826,6 +831,10 @@
 	}
 }
 
+
+// Output page
+// --------------------------------------------------------------------
+
 $i = 0;
 $help_url = 'EN:Module_Stocks_En|FR:Module_Stock|ES:M&oacute;dulo_Stocks';
 if ($msid) {
@@ -992,8 +1001,6 @@
 
 // Transfer of units
 if ($action == "transfert") {
-	$d_eatby = GETPOSTDATE('eatby');	// used by the tpl
-	$d_sellby = GETPOSTDATE('sellby');	// used by the tpl
 	include DOL_DOCUMENT_ROOT.'/product/stock/tpl/stocktransfer.tpl.php';
 	print '<br>';
 }

########## product/stock/product.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/product/stock/product.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/product/stock/product.php	2025-06-27 11:43:59.648494000 +0000
@@ -434,7 +434,7 @@
 						(float) $nbpiece,
 						1,
 						GETPOST("label", 'alphanohtml'),
-						(float) $pricesrc,
+						$pricesrc,
 						$eatby,
 						$sellby,
 						$batch,
@@ -452,7 +452,7 @@
 						(float) $nbpiece,
 						0,
 						GETPOST("label", 'alphanohtml'),
-						(float) $pricedest,
+						$pricedest,
 						$eatby,
 						$sellby,
 						(string) $batch,
@@ -471,7 +471,7 @@
 						(float) $nbpiece,
 						1,
 						GETPOST("label", 'alphanohtml'),
-						(float) $pricesrc,
+						$pricesrc,
 						GETPOST('inventorycode', 'alphanohtml')
 					);
 					if ($result1 < 0) {
@@ -486,7 +486,7 @@
 						(float) $nbpiece,
 						0,
 						GETPOST("label", 'alphanohtml'),
-						(float) $pricedest,
+						$pricedest,
 						GETPOST('inventorycode', 'alphanohtml')
 					);
 					if ($result2 < 0) {

########## product/stock/stockatdate.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/product/stock/stockatdate.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/product/stock/stockatdate.php	2025-06-27 11:43:59.654222000 +0000
@@ -504,12 +504,6 @@
 
 	// Fields title search
 	print '<tr class="liste_titre_filter">';
-	if (getDolGlobalString('MAIN_CHECKBOX_LEFT_COLUMN')) {
-		print '<td class="liste_titre center maxwidthsearch">';
-		$searchpicto = $form->showFilterButtons('left');
-		print $searchpicto;
-		print '</td>';
-	}
 	print '<td class="liste_titre"><input class="flat" type="text" name="search_ref" size="8" value="'.dol_escape_htmltag($search_ref).'"></td>';
 	print '<td class="liste_titre"><input class="flat" type="text" name="search_nom" size="8" value="'.dol_escape_htmltag($search_nom).'"></td>';
 	print '<td class="liste_titre"></td>';
@@ -526,13 +520,10 @@
 	$reshook = $hookmanager->executeHooks('printFieldListOption', $parameters); // Note that $action and $object may have been modified by hook
 	print $hookmanager->resPrint;
 
-	// Action column
-	if (!getDolGlobalString('MAIN_CHECKBOX_LEFT_COLUMN')) {
-		print '<td class="liste_titre center maxwidthsearch">';
-		$searchpicto = $form->showFilterButtons();
-		print $searchpicto;
-		print '</td>';
-	}
+	print '<td class="liste_titre maxwidthsearch">';
+	$searchpicto = $form->showFilterAndCheckAddButtons(0);
+	print $searchpicto;
+	print '</td>';
 	print '</tr>';
 
 	$fieldtosortcurrentstock = 'stock';
@@ -542,10 +533,6 @@
 
 	// Lines of title
 	print '<tr class="liste_titre">';
-	// Action column
-	if (getDolGlobalString('MAIN_CHECKBOX_LEFT_COLUMN')) {
-		print_liste_field_titre('', $_SERVER["PHP_SELF"], '', $param, '', '', $sortfield, $sortorder, 'left ');
-	}
 	print_liste_field_titre('ProductRef', $_SERVER["PHP_SELF"], 'p.ref', $param, '', '', $sortfield, $sortorder);
 	print_liste_field_titre('Label', $_SERVER["PHP_SELF"], 'p.label', $param, '', '', $sortfield, $sortorder);
 
@@ -570,10 +557,7 @@
 	$reshook = $hookmanager->executeHooks('printFieldListTitle', $parameters); // Note that $action and $object may have been modified by hook
 	print $hookmanager->resPrint;
 
-	// Action column
-	if (!getDolGlobalString('MAIN_CHECKBOX_LEFT_COLUMN')) {
-		print_liste_field_titre('', $_SERVER["PHP_SELF"], '', $param, '', '', $sortfield, $sortorder, 'right ');
-	}
+	print_liste_field_titre('', $_SERVER["PHP_SELF"], '', $param, '', '', $sortfield, $sortorder, 'right ');
 
 	print "</tr>\n";
 }
@@ -674,11 +658,6 @@
 		} else {
 			print '<tr class="oddeven">';
 
-			// Action column
-			if (getDolGlobalString('MAIN_CHECKBOX_LEFT_COLUMN')) {
-				print '<td class="left"></td>';
-			}
-
 			// Product ref
 			print '<td class="nowrap">'.$prod->getNomUrl(1, '').'</td>';
 
@@ -771,10 +750,8 @@
 			$reshook = $hookmanager->executeHooks('printFieldListValue', $parameters); // Note that $action and $object may have been modified by hook
 			print $hookmanager->resPrint;
 
-			// Action column
-			if (!getDolGlobalString('MAIN_CHECKBOX_LEFT_COLUMN')) {
-				print '<td class="right"></td>';
-			}
+			// Action
+			print '<td class="right"></td>';
 
 			print '</tr>'."\n";
 		}

########## product/stock/tpl/stocktransfer.tpl.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/product/stock/tpl/stocktransfer.tpl.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/product/stock/tpl/stocktransfer.tpl.php	2025-06-27 11:43:59.673978000 +0000
@@ -15,20 +15,20 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program. If not, see <https://www.gnu.org/licenses/>.
+ *
+ * $object must be defined
+ * $backtopage
  */
 
 /**
  * @var Conf $conf
  * @var DoliDB $db
  * @var Form $form
+ * @var Product|MouvementStock $object
  * @var FormProduct $formproduct
  * @var Translate $langs
- * @var Product|Entrepot|MouvementStock $object
  *
- * @var string 	$backtopage
- * @var ?int	$id
- * @var int		$d_eatby
- * @var int		$d_sellby
+ * @var string $backtopage
  */
 
 // Protection to avoid direct call of template
@@ -38,7 +38,7 @@
 }
 
 '
-@phan-var-force Entrepot|Product|MouvementStock $object
+@phan-var-force Entrepot|MouvementStock $object
 @phan-var-force FormProduct $formproduct
 @phan-var-force string $backtopage
 ';
@@ -86,7 +86,7 @@
 }
 print '<table class="border centpercent">';
 
-// Source product or stock movement
+// Source warehouse or product
 print '<tr>';
 if ($object->element == 'product') {
 	/** @var Product $object */

########## projet/class/api_projects.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/projet/class/api_projects.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/projet/class/api_projects.class.php	2025-06-27 11:43:57.742629000 +0000
@@ -209,7 +209,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: $thirdparty_ids;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : $thirdparty_ids;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;

########## projet/class/api_tasks.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/projet/class/api_tasks.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/projet/class/api_tasks.class.php	2025-06-27 11:43:57.743993000 +0000
@@ -120,7 +120,7 @@
 		$obj_ret = array();
 
 		// case of external user, $thirdparty_ids param is ignored and replaced by user's socid
-		$socids = DolibarrApiAccess::$user->socid ?: 0;
+		$socids = DolibarrApiAccess::$user->socid ? DolibarrApiAccess::$user->socid : 0;
 
 		// If the internal user must only see his customers, force searching by him
 		$search_sale = 0;
@@ -500,7 +500,6 @@
 	 * @return  array
 	 * @phan-return array{success:array{code:int,message:string}}
 	 * @phpstan-return array{success:array{code:int,message:string}}
-	 * @throws RestException
 	 */
 	public function delete($id)
 	{
@@ -516,7 +515,7 @@
 			throw new RestException(403, 'Access not allowed for login '.DolibarrApiAccess::$user->login);
 		}
 
-		if ($this->task->delete(DolibarrApiAccess::$user) <= 0) {
+		if (!$this->task->delete(DolibarrApiAccess::$user)) {
 			throw new RestException(500, 'Error when delete task : '.$this->task->error);
 		}
 

########## projet/class/project.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/projet/class/project.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/projet/class/project.class.php	2025-06-27 11:43:57.736832000 +0000
@@ -1415,7 +1415,7 @@
 	 *
 	 * 	@param	int<0,2>	$withpicto		          0=No picto, 1=Include picto into link, 2=Only picto
 	 * 	@param	string		$option			          Variant where the link point to ('', 'nolink')
-	 * 	@param	int			$addlabel		          0=Default, 1=Add label into string, n>1=Add the n first chars of label in ref, -1=Label replace the ref
+	 * 	@param	int			$addlabel		          0=Default, 1=Add label into string, >1=Add first chars into string
 	 *  @param	string		$moreinpopup	          Text to add into popup
 	 *  @param	string		$sep			          Separator between ref and label if option addlabel is set
 	 *  @param	int<0,1>   	$notooltip		          1=Disable tooltip
@@ -1505,15 +1505,11 @@
 			$result .= img_object(($notooltip ? '' : $label), $picto, 'class="pictofixedwidth em088"', 0, 0, $notooltip ? 0 : 1);
 		}
 		if ($withpicto != 2) {
-			if ($addlabel >= 0) {
-				$result .= $this->ref;
-			} else {
-				$result .= $this->title;
-			}
+			$result .= $this->ref;
 		}
 		$result .= $linkend;
 		if ($withpicto != 2) {
-			$result .= (($addlabel > 0 && $this->title) ? '<span class="opacitymedium">'.$sep.dol_trunc($this->title, ($addlabel > 1 ? $addlabel : 0)).'</span>' : '');
+			$result .= (($addlabel && $this->title) ? '<span class="opacitymedium">'.$sep.dol_trunc($this->title, ($addlabel > 1 ? $addlabel : 0)).'</span>' : '');
 		}
 
 		global $action;

########## projet/class/task.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/projet/class/task.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/projet/class/task.class.php	2025-06-27 11:43:57.740919000 +0000
@@ -1010,7 +1010,7 @@
 	 *	@param	int		$withpicto		0=No picto, 1=Include picto into link, 2=Only picto
 	 *	@param	string	$option			'withproject' or ''
 	 *  @param	string	$mode			Mode 'task', 'time', 'contact', 'note', document' define page to link to.
-	 * 	@param	int		$addlabel		0=Default, 1=Add label into string, >1=Add first chars into string, -1=Label replace the ref
+	 * 	@param	int		$addlabel		0=Default, 1=Add label into string, >1=Add first chars into string
 	 *  @param	string	$sep			Separator between ref and label if option addlabel is set
 	 *  @param	int   	$notooltip		1=Disable tooltip
 	 *  @param  int     $save_lastsearch_value    -1=Auto, 0=No save of lastsearch_values when clicking, 1=Save lastsearch_values whenclicking
@@ -1072,15 +1072,11 @@
 			$result .= img_object(($notooltip ? '' : $label), $picto, 'class="paddingright"', 0, 0, $notooltip ? 0 : 1);
 		}
 		if ($withpicto != 2) {
-			if ($addlabel >= 0) {
-				$result .= $this->ref;
-			} else {
-				$result .= $this->label;
-			}
+			$result .= $this->ref;
 		}
 		$result .= $linkend;
 		if ($withpicto != 2) {
-			$result .= (($addlabel > 0 && $this->label) ? '<span class="opacitymedium">'.$sep.dol_trunc($this->label, ($addlabel > 1 ? $addlabel : 0)).'</span>' : '');
+			$result .= (($addlabel && $this->label) ? $sep.dol_trunc($this->label, ($addlabel > 1 ? $addlabel : 0)) : '');
 		}
 
 		$parameters = array('id' => $this->id, 'getnomurl' => &$result);

########## projet/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/projet/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/projet/list.php	2025-06-27 11:43:57.759581000 +0000
@@ -105,7 +105,8 @@
 $pagenext = $page + 1;
 
 $search_all = GETPOST('search_all', 'alphanohtml');
-$search_entity = GETPOSTINT('search_entity');
+$search_entity = ($user->entity > 0 ? $user->entity : GETPOSTINT('search_entity'));
+
 $search_ref = GETPOST("search_ref", 'alpha');
 $search_label = GETPOST("search_label", 'alpha');
 $search_societe = GETPOST("search_societe", 'alpha');
@@ -617,10 +618,11 @@
 $parameters = array();
 $reshook = $hookmanager->executeHooks('printFieldListFrom', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
 $sql .= $hookmanager->resPrint;
+
 if ($search_entity > 0) {
 	$sql .= " WHERE p.entity = ".((int) $search_entity);
 } else {
-	$sql .= " WHERE p.entity IN (".getEntity('project').')';
+	$sql .= " WHERE p.entity IN (".getEntity('project', (GETPOSTINT('search_current_entity') ? 0 : 1)).')';
 }
 if (!$user->hasRight('projet', 'all', 'lire')) {
 	$sql .= " AND p.rowid IN (".$db->sanitize($projectsListId).")"; // public and assigned to, or restricted to company for external users
@@ -963,7 +965,7 @@
 	$param .= '&search_date_start_startday='.urlencode((string) ($search_date_start_startday));
 }
 if ($search_date_start_start) {
-	$param .= '&search_date_start_start='.urlencode((string) $search_date_start_start);
+	$param .= '&search_date_start_start='.urlencode($search_date_start_start);
 }
 if ($search_date_start_endmonth) {
 	$param .= '&search_date_start_endmonth='.urlencode((string) ($search_date_start_endmonth));
@@ -987,7 +989,7 @@
 	$param .= '&search_date_end_startday='.urlencode((string) ($search_date_end_startday));
 }
 if ($search_date_end_start) {
-	$param .= '&search_date_end_start='.urlencode((string) $search_date_end_start);
+	$param .= '&search_date_end_start='.urlencode($search_date_end_start);
 }
 if ($search_date_end_endmonth) {
 	$param .= '&search_date_end_endmonth='.urlencode((string) ($search_date_end_endmonth));
@@ -999,7 +1001,7 @@
 	$param .= '&search_date_end_endday='.urlencode((string) ($search_date_end_endday));
 }
 if ($search_date_end_end) {
-	$param .= '&search_date_end_end=' . urlencode((string) $search_date_end_end);
+	$param .= '&search_date_end_end=' . urlencode($search_date_end_end);
 }
 if ($search_date_creation_startmonth) {
 	$param .= '&search_date_creation_startmonth='.urlencode((string) ($search_date_creation_startmonth));
@@ -1011,7 +1013,7 @@
 	$param .= '&search_date_creation_startday='.urlencode((string) ($search_date_creation_startday));
 }
 if ($search_date_creation_start) {
-	$param .= '&search_date_creation_start='.urlencode((string) $search_date_creation_start);
+	$param .= '&search_date_creation_start='.urlencode($search_date_creation_start);
 }
 if ($search_date_creation_endmonth) {
 	$param .= '&search_date_creation_endmonth='.urlencode((string) ($search_date_creation_endmonth));
@@ -1035,7 +1037,7 @@
 	$param .= '&search_date_modif_startday='.urlencode((string) ($search_date_modif_startday));
 }
 if ($search_date_modif_start) {
-	$param .= '&search_date_modif_start='.urlencode((string) $search_date_modif_start);
+	$param .= '&search_date_modif_start='.urlencode($search_date_modif_start);
 }
 if ($search_date_modif_endmonth) {
 	$param .= '&search_date_modif_endmonth='.urlencode((string) ($search_date_modif_endmonth));
@@ -1047,7 +1049,7 @@
 	$param .= '&search_date_modif_endday='.urlencode((string) ($search_date_modif_endday));
 }
 if ($search_date_modif_end) {
-	$param .= '&search_date_modif_end=' . urlencode((string) $search_date_modif_end);
+	$param .= '&search_date_modif_end=' . urlencode($search_date_modif_end);
 }
 if (!empty($search_category_array)) {
 	foreach ($search_category_array as $tmpval) {

########## projet/tasks/time.php
